package org.opengroup.osdu.notification.provider.gcp.mappers.oqm;

import lombok.Getter;
import lombok.Setter;
import org.springframework.boot.autoconfigure.condition.ConditionalOnProperty;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;

/**
 * @author Rostislav_Dublin
 * @since 28.11.2021
 */

@Configuration
@ConditionalOnProperty(name = "oqmDriver")
@ConfigurationProperties(prefix = "oqm")
@Getter
@Setter
public class OqmConfigurationProperties {

    private String registerSubscriberControlTopicName = "register-subscriber-control";

}
